Bug 239130 - doesn't build on ppc64
doesn't build on ppc64
Product: Fedora
Classification: Fedora
Component: SDL_gfx (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-05-05 02:16 EDT by Bill Nottingham
Modified: 2014-03-16 23:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-07 07:36:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
no, this is not mklinux. really. (571 bytes, patch)
2007-05-05 02:16 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2007-05-05 02:16:11 EDT
... due to ancient libtool cruft that thinks ppc64 is mklinux and doesn't have
shared libraries.

Patch attached.
Comment 1 Bill Nottingham 2007-05-05 02:16:11 EDT
Created attachment 154193 [details]
no, this is not mklinux. really.
Comment 2 Matthias Saou 2007-05-07 07:36:53 EDT
Heh, good catch. Seems like upstream is at 2.0.16 now, but still includes the
same broken ltconfig script. I'll drop them a line.

Note that because of the Fedora 7 freeze, and the fast that new releases
increase the shared library's version, I won't be updating to 2.0.16 until after
F7 is branched in CVS.

Note You need to log in before you can comment on or make changes to this bug.